<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="Resto.Front.Api.AeroflotPlugin.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
        </sectionGroup>
    </configSections>
<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2"/></startup>
 <runtime>
	 <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
	  <dependentAssembly>
	   <assemblyIdentity name="System.Reactive.Interfaces" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
	   <bindingRedirect oldVersion="0.0.0.0-2.2.5.0" newVersion="2.2.5.0"/>
	  </dependentAssembly>
	  <dependentAssembly>
	   <assemblyIdentity name="System.Reactive.Core" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
	   <bindingRedirect oldVersion="0.0.0.0-2.2.5.0" newVersion="2.2.5.0"/>
	  </dependentAssembly>
	  <dependentAssembly>
	   <assemblyIdentity name="System.Reactive.Linq" publicKeyToken="31bf3856ad364e35" culture="neutral"/>
	   <bindingRedirect oldVersion="0.0.0.0-2.2.5.0" newVersion="2.2.5.0"/>
	  </dependentAssembly>
	 </assemblyBinding>
 </runtime>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="CFTLoyaltyPCPoints_SoapBinding" closeTimeout="00:01:00" openTimeout="00:00:05" receiveTimeout="00:00:00" sendTimeout="00:00:15" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxBufferSize="2147483647" maxReceivedMessageSize="2147483647" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true" messageEncoding="Text">
          <readerQuotas maxDepth="32" maxStringContentLength="5242880" maxArrayLength="2147483646" maxBytesPerRead="4096" maxNameTableCharCount="5242880"/>
          <security mode="Transport">
            <transport clientCredentialType="Certificate" proxyCredentialType="None" realm=""/>
            <message clientCredentialType="Certificate" algorithmSuite="Default"/>
          </security>
        </binding>
        <binding name="CFTLoyaltyPCPoints_SoapBinding1">
          <security mode="Transport"/>
        </binding>
        <binding name="CFTLoyaltyPCPoints_SoapBinding2"/>
        <binding name="CFTLoyaltyPCPoints_SoapBinding3">
          <security mode="Transport"/>
        </binding>
        <binding name="CFTLoyaltyPCPoints_SoapBinding4"/>
      </basicHttpBinding>
      
    </bindings>
  </system.serviceModel>
  <applicationSettings>
  <Resto.Front.Api.AeroflotPlugin.Properties.Settings>
    <setting name="PartnerID" serializeAs="String">
      <value>259796</value>
    </setting>
    <setting name="Location" serializeAs="String">
      <value>testLocation</value>
    </setting>
    <setting name="Term" serializeAs="String">
      <value>testTerm</value>
    </setting>
    <setting name="ServiceURL" serializeAs="String">
      <value>https://194.85.126.117:10443/pcp2/services/CFTLoyaltyPCPoints_SoapPort</value>
    </setting>
    <setting name="Certificate" serializeAs="String">
      <value>afl_test.pfx</value>
    </setting>
    <setting name="CertificatePassword" serializeAs="String">
      <value>afl_test</value>
    </setting>
    <setting name="Koeff" serializeAs="String">
      <value>1</value>
    </setting>
    <setting name="CardLength" serializeAs="String">
      <value>8</value>
    </setting>
    <setting name="TestMode" serializeAs="String">
      <value>False</value>
    </setting>
    <setting name="User1Card" serializeAs="String">
      <value>71891831</value>
    </setting>
    <setting name="User1Name" serializeAs="String">
      <value>TEST</value>
    </setting>
    <setting name="User1Surname" serializeAs="String">
      <value>IVANOV</value>
    </setting>
    <setting name="User2Card" serializeAs="String">
      <value>92903915</value>
    </setting>
    <setting name="User2Name" serializeAs="String">
      <value>SERGEY</value>
    </setting>
    <setting name="User2Surname" serializeAs="String">
      <value>POLUNIN</value>
    </setting>
    <setting name="TestIgnorePin" serializeAs="String">
      <value>False</value>
    </setting>
    <setting name="ReverseTimeSeconds" serializeAs="String">
      <value>60</value>
    </setting>
    <setting name="BatchTimeSeconds" serializeAs="String">
      <value>3600</value>
    </setting>
  </Resto.Front.Api.AeroflotPlugin.Properties.Settings>
 </applicationSettings>
</configuration>
